<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>AuRa - Automated Radio @ Linuxwochen Wien 2018</title>

		<link rel="stylesheet" href="reveal.js/css/reveal.css">
		<link rel="stylesheet" href="reveal.js/css/theme/black.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="reveal.js/lib/css/zenburn.css">

		<!-- our local modifications -->
		<link rel="stylesheet" href="local.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'reveal.js/css/print/pdf.css' : 'reveal.js/css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">

				<section>
					<!-- TODO: add license info -->
					<h1 class="nouppercase">AuRa - <span class="hl">Au</span>tomated <span class="hl">Ra</span>dio</h1>
					<h2>Playout &amp; Programmverwaltung bei Freien Radios</h2>
					<div style="float: left;">
						<img data-src="imgs/radio300.png" width="200px" style="border: 0; background-color: transparent; box-shadow: none; transform: rotate(15deg); padding: 0 2em 0 0;">
					</div>
					<p>
						&nbsp;
					</p>
					<p>
						jackie / Andrea Ida Malkah Klaura &lt;<a href="mailto:jackie@o94.at">jackie@o94.at</a>&gt;
					</p>
					<p>
						ORANGE 94.0 - Verein Freies Radio Wien
					</p>
					<p>
						<small>
							Wien, 5. Mai 2018<br />
							<a rel="license" href="https://creativecommons.org/licenses/by/4.0/">
								<img alt="Creative Commons Lizenzvertrag" style="border-width:0" data-src="imgs/cc-by-sa.png" />
							</a><br />Dieses Werk ist lizenziert unter einer
							<a rel="license" href="https://creativecommons.org/licenses/by/4.0/">Creative Commons Namensnennung 4.0 International Lizenz</a>.
						</small>
					</p>
				</section>

				<section>
					<h1>30min roadmap</h1>
					<ol>
						<li>Freie Radios? Hat das was mit Freier Software zu tun?</li>
						<li>Community radio under the hood</li>
						<li><i>"Allein machen sie dich ein"</i> - why yet another radio manager?</li>
						<li>Architekturmodell unseres <b class="hl">autoradio</b>s</li>
						<li>Kurze Demo vom Status Quo</li>
						<li>Fragen und Diskussion</li>
					</ol>
				</section>

				<!-- Freie Radios? Hat das was mit Freier Software zu tun? -->
				<section>
					<section>
						<h1>Freie Radios</h1>
						<h2>Hat das was mit Freier Software zu tun?</h2>
					</section>

					<section>
						<p>"Freies" Radio vor 1998</p>
						<img data-src="https://www.freie-radios.at/img/image-10.jpg" width="35%">
						<p><small>(Source: <a href="https://www.freie-radios.at/geschichte.html">https://www.freie-radios.at/geschichte.html</a>)</small></p>
					</section>

					<section>
						<h2>Pirat*innenradio</h2>
						<ul>
							<li class="fragment fade-up">bereits in der 1. Republik: Freier Radiobund</li>
							<li class="fragment fade-up">Dez. 1979: in Graz geht Ö-Frei on air</li>
							<li class="fragment fade-up">späte 80er, frühe 90er:
								<ul>
									<li>Austausch mit der Föderation europäischer Freier Radios (FERL)</li>
									<li>Pirat_innentag am 31. März 1991</li>
									<li>in Wien: 25 Radiogruppen, insgesamt 40 Stunden Programm pro Woche</li>
								</ul>
							</li>
							<li class="fragment fade-up">ab 1993: Fokus auf Legaliserung der Freien Radioarbeit</li>
							<li class="fragment fade-up"><a href="https://www.freie-radios.at/entwicklung.html">https://www.freie-radios.at/entwicklung.html</a></li>
					</section>

					<section>
						<h2>"Liberalisierung"</h2>
						<ul>
							<li class="fragment fade-up">Vereine formieren sich und bringen Klage beim EGMR ein</li>
							<li class="fragment fade-up">November 1993: Österreich wird verklagt
								<ul>
									<li>EGMR: Rundfunkmonopol stellt Eingriff in die Ausübung des Rechts auf Verbreitung von Informationen und Ideen dar</li>
								</ul>
							</li>
							<li class="fragment fade-up">Bei der Neuregelung mischen Pirat*innen mit, gehen aber bei Lizenzvergabe leer aus</li>
							<li class="fragment fade-up">Erneut Klage, diesmal VfGH, erneut erfolgreich</li>
							<li class="fragment fade-up">März 1997: neues Regionalradiogesetz</li>
							<li class="fragment fade-up">August 1998: Radio Orange geht in Wien auf eigener Frequenz on air</li>
						</ul>
					</section>

					<section>
						<h2>Freie Radios als Dritter Sektor</h2>
						<ul>
							<li class="fragment fade-up">Kaum staatliche Anerkennung</li>
							<li class="fragment fade-up">Ab 2009: Fonds zur Förderung des nichtkommerziellen Rundfunks</li>
							<li class="fragment fade-up">Freie Radios sind nicht-kommerzielle Privatradios:</li>
							<ul>
								<li class="fragment fade-up">Verbot von Werbung</li>
								<li class="fragment fade-up">Basisförderung via RTR</li>
								<li class="fragment fade-up">Notorisch zu geringe finanzielle Mittel</li>
								<li class="fragment fade-up">Zusätzliche Finanzierung über Länder und Kommunen, Mitgliedsbeiträge, Projekte, Spenden, ...</li>
							</ul>
						</ul>
					</section>

					<section>
						<h3>“free” as in “free speech,” not as in “free beer”</h3>
						<p><small>(source: <a href="https://www.gnu.org/philosophy/free-sw.html">https://www.gnu.org/philosophy/free-sw.html</a>)</small></p>
					</section>

					<section>
						<h3>CBA - Das Audioarchiv der Freien Radios</h3>
						<ul>
							<li>cultural broadcasting archive</li>
							<li>mit über 85.000 Beiträgen</li>
							<li><a href="https://cba.fro.at">https://cba.fro.at</a></li>
						</ul>
						<p>&nbsp;</p>
						<h3>Die Freien Radios in [AT]</h3>
						<p>
							<a href="https://www.freie-radios.at/radios.html">https://www.freie-radios.at/radios.html</a>
						</p>
					</section>

				</section>

				<!-- Community radio under the hood -->
				<section>
					<section>
						<h1>Community radio under the hood</h1>
						<h2>wie freie Software beim freien Radiomachen hilft</h2>
					</section>

					<section>
						<h2>Was braucht ein freies Radio?</h2>
						<ul>
							<li class="fragment fade-up">Eine Audio- &amp; IT-Infrastruktur
								<ul>
									<li>Aufnahmetechnik</li>
									<li>Sendetechnik</li>
									<li>Programmautomation (Scheduling &amp; Playout)</li>
									<li>Einen ganzen Haufen unterstützender Hardware, Software-Tools und -Plattformen</li>
								</ul>
							</li>
							<li class="fragment fade-up">Eine Programmkoordination (Maintainer*innen)</li>
							<li class="fragment fade-up">Eine ganze Menge ehrenamtlicher Radiomacher*innen (Contributors)</li>
							<li class="fragment fade-up">Leute (im Idealfall Mehrzahl) die schauen, dass alles läuft (DevOps Team)</li>
							<li class="fragment fade-up">Support-Strukturen und Dokumentation <b class="hl">(?)</b></li>
						</ul>
					</section>

					<section>
						<h2>Beispiel ORANGE 94.0</h2>
						<ul>
							<li>Organisatorisch:
								<ul>
									<li class="fragment fade-up">1 Programmkoordinator*in</li>
									<li class="fragment fade-up">1 Audiotechniker*in</li>
									<li class="fragment fade-up">2 IT-Allrounder*innen</li>
									<li class="fragment fade-up">Weiters auch: GF, Controlling, PR, Projektkoordination, Ausbildung, Diversity, Office Management, Musikredaktion, Trainer*innen</li>
									<li class="fragment fade-up">~450 Radiomacher*innen in ~150 Sendereihen</li>
								</ul>
							</ul>
						</ul>
					</section>

					<section>
						<h2>Beispiel ORANGE 94.0</h2>
						<ul>
							<li>Technisch:
								<ul>
									<li class="fragment fade-up">Ein veraltetes unmaintainable Playoutsystem</li>
									<li class="fragment fade-up">Ein Programmverwaltungssystem das auf OpenACS (in TCL geschrieben) auf einem AolServer4 aufsetzt</li>
									<li class="fragment fade-up">Eine veraltete Website mit unzähligem unmaintained Script-Patchwork</li>
									<li class="fragment fade-up">Ganz viele Bash- &amp; PHP-Skripte dazwischen und rundherum</li>
									<li class="fragment fade-up">Und drumherum: NextCloud, MediaWiki, Gitlab, Mattermost, Postfix, Mailman, Debian MATE Desktops, Ubuntu Studiorechner, ...</li>
									<li class="fragment fade-up">Und in Ausmusterung: eGroupware, Booked, OwnCloud</li>
								</ul>
							</ul>
						</ul>
					</section>

					<section>
						<h2>Beispiel ORANGE 94.0</h2>
						<img data-src="imgs/currentsetup.jpg" width="85%" style="border: 0;">
					</section>
				</section>

				<!-- "Allein machen sie dich ein" - why yet another radio manager? -->
				<section>
					<section>
						<h2><span class="hl">"Allein machen sie dich ein"</span></h2>
						<h2>why yet another radio manager?</h2>
					</section>

					<section>
						<h2>Y.A.R.M.</h2>
						<h3><span class="hl">Y</span>et <span class="hl">A</span>nother <span class="hl">R</span>adio <span class="hl">M</span>anager</h3>
						<ul>
							<li>Java-basiertes Playout-System</li>
							<li>2004 bei der Radiofabrik (Salzburg) entwickelt</li>
							<li>Von mehreren anderen Freien Radios übernommen</li>
							<li>Inzwischen veraltet und unmaintained</li>
							<li>Entwicklung blieb an einer Person hängen und vollständiges Open Sourcing hat nie geklappt</li>
						</ul>
						<p><small><a href="https://radiofabrik.at/organisation/projekte/abgeschlossene-projekte/y-a-r-m-2004-2014/">Y.A.R.M. im Webarchiv der Radiofabrik</a></small></p>
					</section>

					<section>
						<h2>Inititive zu AuRa</h2>
						<ul>
							<li class="fragment fade-up">Radiofabrik, Radio FRO, Freies Radio Freistadt, ORANGE 94.0 hängen alle noch am YARM</li>
							<li class="fragment fade-up">Dringender Bedarf für etwas neues, gut handhabbares</li>
							<li class="fragment fade-up">Erhebung von über 50 Anwendungen (FLOSS und kommerziell) ergibt:
								<ul>
									<li>Keine bestehende Software erfüllt alle unsere Anforderungen ausreichend</li>
								</ul>
							</li>
							<li class="fragment fade-up">Radio Helsinki (Graz) hat bereits eine eigene brauchbare Programmverwaltung auf Django-Basis öffentlich entwickelt (<a href="https://git.helsinki.at/">https://git.helsinki.at/</a>)</li>
							<li class="fragment fade-up">Michael Liebler (Radio Z, Nürnberg) hat ein Playoutsystem mit Python öffentlich entwickelt (<a href="https://gitlab.janguo.de/groups/comba">https://gitlab.janguo.de/groups/comba</a>)</li>
					</section>

					<section>
						<h2><span class="hl">Arrr!</span> Auf zu neuen Ufern!</h2>
						<ul>
							<li class="fragment fade-up">Wir <span class="hl">poolen unsere Ressourcen</span>:
								<ul>
									<li>FRO, FRF, ORANGE und Radiofabrik sowie Helsinki stellen Kohle bzw. Arbeitsleistungen zur Verfügung</li>
									<li>4 Core Developers (2x FRO, 1x Helsinki, 1x ORANGE)</li>
								</ul>
							</li>
							<li class="fragment fade-up">Wir <span class="hl">setzen auf bereits bestehende Projekte auf</span>:
								<ul>
									<li>Helsinki Programmverwaltung in Django</li>
									<li>Python-basiertes Playout auf COMBA-Basis</li>
								</ul>
							</li>
							<li class="fragment fade-up">Einarbeitung des gemeinsamen Pflichtenhefts <span class="hl">mehrerer Radios</span></li>
							<li class="fragment fade-up"><span class="hl">Extensive Planung</span> von Architektur &amp; APIs <b>VOR der Implementierung</b></li>
							<li class="fragment fade-up">Wir entwickeln <span class="hl">von Anfang an öffentlich als freie Software</span></li>
						</ul>
					</section>
				</section>

				<!-- Architekturmodell unseres autoradios -->
				<section>
					<section>
						<h1><b class="hl">au</b>to<b class="hl">ra</b>dio</h1>
						<h2>Architekturmodell</h2>
						<p><a href="https://gitlab.servus.at/autoradio">https://gitlab.servus.at/autoradio</a></p>
					</section>

					<section>
						<h2>Technisch-organisatorische Anforderungen:</h2>
						<ul>
							<li class="fragment fade-up">Modularer Aufbau, bei dem einzelne Komponenten ausgetauscht werden können</li>
							<li class="fragment fade-up">Transparente und gut beschriebene Schnittstellen, die mit einer REST API implementiert werden</li>
							<li class="fragment fade-up">Aufbau auf bestehenden Teillösungen die in einzelnen Radios bereits erprobt sind</li>
							<li class="fragment fade-up">Verwendung etablierter Entwicklungsframeworks</li>
						</ul>
					</section>

					<section>
						<img data-src="imgs/components.png">
					</section>
				</section>

				<!-- Kurze Demo vom Status Quo -->
				<section>
					<h1>Demo</h1>
					<ul>
						<li>dashboard</li>
						<li>steering</li>
					</ul>
				</section>

				<!-- Fragen und Diskussion -->
				<section>
					<div style="float: right;">
						<img data-src="imgs/radio300.png" width="250px" style="border: 0; background-color: transparent; box-shadow: none; transform: rotate(-15deg); padding: 0;">
					</div>
					<h1>thx</h1>
					<h2>Habt ihr Fragen?</h2>
					<h3>Oder Antworten?</h3>
					<p>&nbsp;</p>
					<p>Diese Folien: <a href="https://tantemalkah.at/2018/linuxwochen/aura">https://tantemalkah.at/2018/linuxwochen/aura</a></p>
					<p>E-Mail: <a href="mailto:jackie@o94.at">jackie@o94.at</a></p>
					<p>Oder für weitere Kanäle: <a href="https://tantemalkah.at">https://tantemalkah.at</a></p>
				</section>

			</div>
		</div>

		<script src="reveal.js/lib/js/head.min.js"></script>
		<script src="reveal.js/js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				history: true,

				dependencies: [
					{ src: 'reveal.js/plugin/markdown/marked.js' },
					{ src: 'reveal.js/plugin/markdown/markdown.js' },
					{ src: 'reveal.js/plugin/notes/notes.js', async: true },
					{ src: 'reveal.js/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } }
				]
			});
		</script>

	</body>
</html>
